Skip to content

Listening Backfill

Request and track historical data backfills for Listening topics. Supports bulk fetch of backfills, requesting a new backfill, and updating backfill status.

Fetch Listening Topic Backfill(s) by id. Supports bulk fetch.

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of Backfill id

curl -i -X GET \
  'https://api3.sprinklr.com/prod/api/v3/listening/backfill?id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Unique identifier of the Listening Topic Backfill

topicIdstring

Listening Topic Unique identifier, for which Backfill need to be triggered

fromTimeEpochMillisinteger, (int64)

Backfill start time in epoch millis

toTimeEpochMillisinteger, (int64)

Backfill end time in epoch millis

sourcesArray of strings

Backfill data sources list

estimatedSourceVsCountobject

Backfill Estimate details at source level

backfilledSourceVsCountobject

Backfilled data count at source level

userIdinteger, (int64)

Backfilled user id

statusstring

Backfill current status

backfilledDataCountinteger, (int64)

Over all Backfilled data count

estimatedDataCountinteger, (int64)

Over all Estimated data count

]
Response
[ { "id": "string", "topicId": "string", "fromTimeEpochMillis": 0, "toTimeEpochMillis": 0, "sources": [ … ], "estimatedSourceVsCount": { … }, "backfilledSourceVsCount": { … }, "userId": 0, "status": "string", "backfilledDataCount": 0, "estimatedDataCount": 0 } ]